count: 1
next: null
previous: null
results:
- authors:
  - Revanth Alex Kumar M.
  doi: ''
  expert_db: false
  pub_id: '1018319'
  publication: Submitted (27-JUL-2018) to the INSDC. Zoology, Loyola College, Sterling
    Road, Nungambakkam 600034, India
  pubmed_id: ''
  title: INSDC submission
